Bug 103906 - 3c59x module won't load on boot
Summary: 3c59x module won't load on boot
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 9
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-07 02:05 UTC by Eric Bursley
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:41:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Eric Bursley 2003-09-07 02:05:46 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.9 (X11; Linux i686; U;) Gecko/20030314

Description of problem:
I updated my kernel to the 2.6.0-0.test4.1.33 kernel today.  I also updated my
rc.sysinit and /etc/init.d/halt scripts to match what the 2.6 kernel requires. 
i.e. sys file system, and updated usbkeyboard and usbmouse entries.  When
booting, network service starts, but fails to load the 3c59x module.  If I
modprobe 3c59x and restart network, the module will load and I can use the
network again.
As a work around I added an entry to the /etc/init.d/network script to modprobe
3c59x and rebooted.  This worked fine for me, but won't work for everyone if
they have a different network adapter.
Also when I shutdown, loopback adapter hangs indefinately.

Version-Release number of selected component (if applicable):
2.6.0-0.test4.1.33

How reproducible:
Always

Steps to Reproduce:
1.  Install new 2.6.0-0.test4.1.33 kernel
2.  update /etc/rc.sysinit and /etc/init.d/halt script to match requirements for
2.6 kernel
3.  reboot.
    

Actual Results:  No network activity except for loopback device.

Expected Results:  network module to load and proper shutdown.

Additional info:

I have a redhat sysreport ready for those that are interested in looking at my
configuration.

Comment 1 Eric Bursley 2003-09-07 02:35:19 UTC
I moved the modprobe statement I said eariler to /etc/rc.modules and set the
execution bit on that file and rebooted, previous problems seem to have
corrected itself, however without this line in the /etc/rc.modules file, 3c59x
module still won't load on boot.  


Comment 2 Bugzilla owner 2004-09-30 15:41:30 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.